@use '../tools/config_mixins_mq' as mq;
@use '../settings/vars/colors' as c;

.chat-list{
    max-height: 100%;
}
.chat-tray{
    max-height: 100vh;
}

.chat-item{
    &.active,
    &:hover{
        transform: translateY(-6px);
        box-shadow: 0 2px 10px rgba(0,0,0, 0.1);
        background-color: c.$blue-1;
        color: #fff;
    }
}

.chat-item.new{
    position: relative;

    .chat-item-message{ font-weight: 700; }

    &::before{
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 4px;
        border-radius: 8px;
        background-color: c.$green-1;
    }

    &::after{
        content: '';
        position: absolute;
        right: 12px;
        height: 10px;
        width: 10px;
        background-color: c.$green-1;
        border-radius: 100%;
    }
}

.btn-send-message:hover{
    transform: translateY(-6px);
    box-shadow: 0 2px 10px rgba(0,0,0, 0.1);
}

.message-box-text{
    max-width: 70%;
    margin-left: auto;
}

.message-box-client{
    .message-box-text{
        background-color: #fff;
        color: c.$blue-2;
        margin-left: 0;
        margin-right: auto;
    }

    .message-box-spike{
        filter: brightness(0) saturate(100%) invert(96%) sepia(99%) saturate(1%) hue-rotate(194deg) brightness(103%) contrast(100%);
        left: 0;
        margin-left: -12px;
    }

    .message-box-hour{
        text-align: left;
    }
}

.icon-state:hover{
    transform: translateY(-6px);
    box-shadow: 0 2px 10px rgba(0,0,0, 0.1);
}